TokenOrientedView
Date: 2017-02-11

org.fife.ui.rsyntaxtextarea

## Interface TokenOrientedView

- All Known Implementing Classes:
    SyntaxView

      public interface TokenOrientedView

  An interface for the syntax-highlighting token oriented views for token-oriented methods. This way callers won't need to know what specific class a view is an instance of to access its tokens.

  Currently, this interface is only useful for obtaining token lists for "physical lines" (i.e., a word-wrapped view's logical lines may be represented as several physical lines, thus getting the "physical line" above a given position may prove complicated).

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Token` | `getTokenListForPhysicalLineAbove(int offset)` Returns a token list for the physical line above the physical line containing the specified offset into the document.
    `Token` | `getTokenListForPhysicalLineBelow(int offset)` Returns a token list for the physical line below the physical line containing the specified offset into the document.

- - ### Method Detail

    - #### getTokenListForPhysicalLineAbove

          Token getTokenListForPhysicalLineAbove(int offset)

      Returns a token list for the physical line above the physical line containing the specified offset into the document. Note that for a plain (non-wrapped) view, this is simply the token list for the logical line above the line containing `offset`, since lines are not wrapped. For a wrapped view, this may or may not be tokens from the same line.
      Parameters:
        `offset` - The offset in question.
      Returns:
        A token list for the physical (and in this view, logical) line before this one. If no physical line is above the one containing `offset`, `null` is returned.

    - #### getTokenListForPhysicalLineBelow

          Token getTokenListForPhysicalLineBelow(int offset)

      Returns a token list for the physical line below the physical line containing the specified offset into the document. Note that for a plain (non-wrapped) view, this is simply the token list for the logical line below the line containing `offset`, since lines are not wrapped. For a wrapped view, this may or may not be tokens from the same line.
      Parameters:
        `offset` - The offset in question.
      Returns:
        A token list for the physical (and in this view, logical) line after this one. If no physical line is after the one containing `offset`, `null` is returned.